=== requirements.txt ===
# Testing and deployment packages.
coverage==4.4.2
pytest==3.8.2
pytest-cov==2.6.0
freezegun==0.3.10
